%define debug_package %{nil}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	Library for carving binary files

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		hachoir-core
Version:	1.3.4
Release:	1%{?dist}

License:	GPL

Group:		Applications/Forensics Tools

Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/rpm-root-%{name}-%{version}
BuildRequires:	python 
BuildArch:	noarch

%description
Hachoir is a Python library used to represent of a binary file as a tree of
Python objects. Each object has a type, a value, an address, etc. The goal is
to be able to know the meaning of each bit in a file.

Why using slow Python code instead of fast hardcoded C code? Hachoir has many
interesting features:

 * Autofix: Hachoir is able to open invalid / truncated files
 * Lazy: Open a file is very fast since no information is read from file,
   data are read and/or computed when the user ask for it
 * Types: Hachoir has many predefined field types (integer, bit, string, etc.)
   and supports string with charset (ISO-8859-1, UTF-8, UTF-16, ...)
 * Addresses and sizes are stored in bit, so flags are stored as classic fields
 * Endian: You have to set endian once, and then number are converted in the
   right endian
 * Editor: Using Hachoir representation of data, you can edit, insert, remove
   data and then save in a new file.

%prep
%setup -n %{name}-%{version}

%build
python setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(444, bin, bin, 0755)
%doc AUTHORS ChangeLog COPYING README 
%attr(444, bin, bin)	%{python_sitelib}/hachoir_core/*.py*
%attr(444, bin, bin)	%{python_sitelib}/hachoir_core/*/*.py*
%attr(444, bin, bin)	%{python_sitelib}/hachoir_core*egg-info

%changelog
